﻿
var Dir = new function () 
{
    this.toNativeSparator = function (path) 
	{
        if (systemInfo.productType === "windows")
            return path.replace(/\//g, '\\');
        return path;
    }
};

function Component()
{
    if (installer.isInstaller())
	{
        component.loaded.connect(this, Component.prototype.installerLoaded);
		installer.setDefaultPageVisible(QInstaller.TargetDirectory, false);
		installer.setDefaultPageVisible(QInstaller.LicenseCheck, false);
    }
}

Component.prototype.installerLoaded = function () {
    if (installer.addWizardPage(component, "TargetWidget", QInstaller.TargetDirectory)) 
	{
        var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
		
        if (widget != null) 
		{
            widget.exeBtn.clicked.connect(this, Component.prototype.exeDirClicked);
            widget.exeDir.textChanged.connect(this, Component.prototype.exeDirChanged);
			widget.languageCmb.currentTextChanged.connect(this, Component.prototype.languageChanged);
            widget.exeDir.text = Dir.toNativeSparator(installer.value("TargetDir"));
        }
    }
}

Component.prototype.createOperations = function()
{
    component.createOperations();

	if ((installer.value("Language") === "英文") || (installer.value("Language") === "English"))	
	{						
		component.addOperation("Copy", "@TargetDir@/translations/en/Graphics.qm", "@TargetDir@/translations/Graphics.qm");
		component.addOperation("Copy", "@TargetDir@/translations/en/Widget.qm", "@TargetDir@/translations/Widget.qm");
	}
}

Component.prototype.exeDirChanged = function (text) 
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
    if (widget != null) 
	{
        if (text != "") 
		{
            if (!installer.fileExists(text + "/components.xml")) 
			{
                widget.complete = true;
                installer.setValue("TargetDir", text);
                return;
            }
        }
        widget.complete = false;
    }
}

Component.prototype.exeDirClicked = function () 
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
    if (widget != null) 
	{
		var text =  qsTranslate("installscript", "选择CutArtist安装目录");
        var newTarget = QFileDialog.getExistingDirectory(text, widget.exeDir.text);
        if (newTarget != "")
            widget.exeDir.text = Dir.toNativeSparator(newTarget);
    }
}

Component.prototype.aiDirChanged = function (text) 
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
    if (widget != null) 
	{
        if (text != "") 
		{
            if (!installer.fileExists(text + "/components.xml")) 
			{
                widget.complete = true;
                installer.setValue("AIDir", text);
                return;
            }
        }
        widget.complete = false;
    }
}

Component.prototype.aiDirClicked = function () 
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
    if (widget != null) 
	{
		var text =  qsTranslate("installscript", "选择Adobe Illustrator 增效工具安装目录");
        var newTarget = QFileDialog.getExistingDirectory(text, widget.aiDir.text);
        if (newTarget != "")
            widget.aiDir.text = Dir.toNativeSparator(newTarget);
    }
}

Component.prototype.cdrDirChanged = function (text) 
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
    if (widget != null) 
	{
        if (text != "") 
		{
            if (!installer.fileExists(text + "/components.xml")) 
			{
                widget.complete = true;
				console.log(text);
                installer.setValue("CorelDRAWDir", text);
                return;
            }
        }
        widget.complete = false;
    }
}

Component.prototype.cdrDirClicked = function () 
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");
    if (widget != null) 
	{
		var text =  qsTranslate("installscript", "选择CorelDRAW 插件安装目录");
        var newTarget = QFileDialog.getExistingDirectory(text, widget.cdrDir.text);
        if (newTarget != "")
            widget.cdrDir.text = Dir.toNativeSparator(newTarget);
    }
}

Component.prototype.languageChanged = function (text)
{
    var widget = gui.pageWidgetByObjectName("DynamicTargetWidget");

    if (widget != null)
    {
        if (text != "")
        {
            if (!installer.fileExists(text + "/components.xml"))
            {
                widget.complete = true;
                installer.setValue("Language", text);
                return;
            }
        }
        widget.complete = false;
    }
}

